curl --request GET \
--url https://api.invopop.com/silo/v1/entries/{id}/related \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.invopop.com/silo/v1/entries/{id}/related"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.invopop.com/silo/v1/entries/{id}/related', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2025-05-01T00:00:00.000Z",
"cursor": "<string>",
"folder": "sales",
"limit": 20,
"list": [
{
"attachments": [
{
"category": "version",
"created_at": "2018-01-01T00:00:00.000Z",
"desc": "Invoice for January 2021.",
"embeddable": true,
"entry_id": "347c5b04-cde2-11ed-afa1-0242ac120002",
"hash": "a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2w3x4y5z6",
"id": "<string>",
"key": "pdf",
"meta": {},
"mime": "application/pdf",
"name": "invoice.pdf",
"previous": [
{
"created_at": "2018-01-01T00:00:00.000Z",
"hash": "<string>",
"id": "<string>",
"size": 123
}
],
"private": true,
"size": 12345,
"stored": true,
"url": "<string>"
}
],
"context": "line.item",
"created_at": "2018-01-01T00:00:00.000Z",
"data": {},
"digest": {
"alg": "<string>",
"val": "<string>"
},
"doc_schema": "https://gobl.org/draft-0/bill/invoice",
"draft": true,
"env_schema": "https://gobl.org/draft-0/envelope",
"faults": [
{
"code": "<string>",
"message": "<string>",
"paths": [
"<string>"
],
"provider": "pdf"
}
],
"folder": "sales",
"id": "347c5b04-cde2-11ed-afa1-0242ac120002",
"invalid": true,
"key": "invoice-101",
"meta": [
{
"created_at": "2018-01-01T00:00:00.000Z",
"entry_id": "347c5b04-cde2-11ed-afa1-0242ac120002",
"id": "347c5b04-cde2-11ed-afa1-0242ac120002:source:key",
"indexed": true,
"key": "service-id",
"link_scope": "public",
"link_url": "https://example.com/info",
"owned": true,
"owner_id": "<string>",
"ref": "<string>",
"secure": true,
"shared": true,
"src": "source",
"updated_at": "2018-01-01T00:00:00.000Z",
"value": {
"key": "value"
}
}
],
"signed": true,
"snippet": {
"title": "Sample Title"
},
"state": "sent",
"tags": [
"<string>"
],
"updated_at": "2018-01-01T00:00:00.000Z",
"version": "76f845c125",
"versions": [
{
"at": "2018-01-01T00:00:00.000Z",
"invalid": true,
"signed": true,
"src": "api",
"src_id": "<string>",
"version": "76f845c125"
}
]
}
],
"next_cursor": "<string>"
}Find related entries
Find silo entries whose document mentions the given entry’s UUID.
Authorizations
Use the Bearer scheme with a valid JWT token to authenticate requests. Example: Authorization: Bearer <token>
Path Parameters
Silo entry ID to find related entries for.
"347c5b04-cde2-11ed-afa1-0242ac120002"
Query Parameters
The unique identifier of the document to find related entries for.
"347c5b04-cde2-11ed-afa1-0242ac120002"
The specific context within a document where the silo entry's UUID is referenced.
"line.item"
The starting date and time for retrieving related entries in descending order, formatted as an ISO timestamp.
"2023-08-02T00:00:00.000Z"
The position marker from the previous result's next_cursor property, used for pagination.
The maximum number of related entries to return in a single page of results.
20
Response
OK
Starting date for results. Acts as the upper bound when descending (the default) or the lower bound when ascending.
"2025-05-01T00:00:00.000Z"
Cursor used to identify the current page of results.
Key for the folder
"sales"
Maximum number of entries to show in a page of results, up to 100.
20
Array of entries sorted by creation time, descending by default or ascending when requested.
Show child attributes
Show child attributes
Cursor used to identify the next page of results.
Was this page helpful?